Cancel an external payment - Karat Help Center

Cancel an external payment

cURL

curl --request PUT \
  --url https://payouts.api.trykarat.com/external-payments/{external_payment_id}/cancel \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://payouts.api.trykarat.com/external-payments/{external_payment_id}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://payouts.api.trykarat.com/external-payments/{external_payment_id}/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "success": true
  }
}
{
  "error": {
    "message": "Invalid api key"
  }
}
{
  "error": {
    "message": "Payment intent not found"
  }
}

Authorizations

Authorization

Authorization: Bearer <API_KEY> - Pass your API key as a bearer token.

Path Parameters

Response

Data